[gedit] [gedit-bugreport] update for gsettings and no need for pygtk checks.



commit abf5c98a79c9a1cdfc2bf87e3b00b3994441425d
Author: Ignacio Casal Quinteiro <icq gnome org>
Date:   Mon Mar 14 17:29:20 2011 +0100

    [gedit-bugreport] update for gsettings and no need for pygtk checks.

 configure.ac               |    1 -
 data/gedit-bugreport.sh    |   47 ++++++++++++++++++++++++++++
 data/gedit-bugreport.sh.in |   73 --------------------------------------------
 3 files changed, 47 insertions(+), 74 deletions(-)
---
diff --git a/configure.ac b/configure.ac
index 877618f..183a611 100644
--- a/configure.ac
+++ b/configure.ac
@@ -429,7 +429,6 @@ fi
 AC_CONFIG_FILES([
 Makefile
 data/gedit.desktop.in
-data/gedit-bugreport.sh
 data/gedit.pc
 data/org.gnome.gedit.gschema.xml.in
 data/Makefile
diff --git a/data/gedit-bugreport.sh b/data/gedit-bugreport.sh
new file mode 100755
index 0000000..163992a
--- /dev/null
+++ b/data/gedit-bugreport.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+PKG_CONFIG_MODULES="glib-2.0 gtk+-3.0 gtksourceview-3.0 \
+		    pygobject-2.0 \
+		    enchant iso-codes"
+
+echo_padded ()
+{
+	echo -n "  - $1 "
+	N=$(echo -n $1 | wc -m)
+	while test $N -le 20
+	do
+		echo -n " "
+		N=`expr $N + 1`
+	done
+}
+
+echo "Active plugins:"
+gsettings get org.gnome.gedit.plugins active-plugins			\
+	| sed -r -e 's/^\[(.*)\]$/\1/' -e 's/,/\n/g'			\
+	| sed -e 's/^.*$/  - \0/'
+echo
+
+# Manually installed plugins (in $HOME)
+if [ -d $HOME/.local/share/gedit/plugins ]
+then
+	echo "Plugins in \$HOME:"
+	ls $HOME/.local/share/gedit/plugins/*.plugin			\
+		| sed -r -e 's#.*/([^/]*)\.plugin$#  - \1#'
+else
+	echo "No plugin installed in \$HOME."
+fi
+echo
+
+echo "Module versions:"
+if (which pkg-config > /dev/null)
+then
+	for i in $PKG_CONFIG_MODULES
+	do
+		echo_padded "`echo -n $i | sed -r -e 's/^(.*)-[0-9]\.[0-9]$/\1/'`"
+		pkg-config --modversion $i 2>/dev/null || echo
+	done
+else
+	echo "  pkg-config unavailable"
+fi
+echo
+



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]